#include <iostream>
#include <cstdio>
#include <string>

using namespace std;

int main() {
    freopen("oddoreven.in", "r", stdin);
    freopen("oddoreven.out", "w", stdout);

    string s;
    getline(cin, s);
    if (s[0] != '-') s = '+' + s;
    s += '+';
    int n = s.length();
    string x, y;
    cin >> x >> y;
    int nx = x == "Odd", ny = y == "Odd";
    for (int i = 0; i < n; i++) {
        if (s[i] == 'x' || s[i] == 'X') {
            s[i] = '0' + nx;
        }
        if (s[i] == 'y' || s[i] == 'Y') {
            s[i] = '0' + ny;
        }
    }

    int cur = 0;
    for (int i = 0; i + 1 < n;) {
        int j = i;
        bool isZero = false;
        do {
            int k = j + 1;
            int o;
            while (s[k] >= '0' && s[k] <= '9') {
                o = (s[k++] - '0') % 2;
            }
            isZero |= !o;
            j = k;
        } while (s[j] != '-' && s[j] != '+');
        i = j;
        cur += !isZero;
    }
    cout << (cur % 2 ? "Odd" : "Even") << endl;

    return 0;
}